org.apache.olingo.server.api.serializer

## Enum RepresentationType

- java.lang.Object
- - java.lang.Enum<RepresentationType>
  - - org.apache.olingo.server.api.serializer.RepresentationType

- All Implemented Interfaces:
    Serializable, Comparable<RepresentationType>

      public enum RepresentationType
      extends Enum<RepresentationType>

  The different types of representations that form the body of either the OData request or the OData response, primarily used for content negotiation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_PARAMETERS` parameters of an action
    `BATCH` batch request or response
    `BINARY` binary-type instance
    `COLLECTION_COMPLEX` collection of complex-type instances
    `COLLECTION_ENTITY` collection of entities (entity set)
    `COLLECTION_PRIMITIVE` collection of primitive-type instances
    `COLLECTION_REFERENCE` collection of references
    `COMPLEX` single complex-type instance
    `COUNT` count of instances
    `DIFFERENCES` differences
    `ENTITY` single entity
    `ERROR` error document
    `MEDIA` media entity
    `METADATA` metadata document
    `PRIMITIVE` single primitive-type instance
    `REFERENCE` single reference
    `SERVICE` service document
    `VALUE` textual raw value of a primitive-type instance (except binary)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepresentationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepresentationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVICE

          public static final RepresentationType SERVICE

      service document

    - #### METADATA

          public static final RepresentationType METADATA

      metadata document

    - #### BATCH

          public static final RepresentationType BATCH

      batch request or response

    - #### ERROR

          public static final RepresentationType ERROR

      error document

    - #### ENTITY

          public static final RepresentationType ENTITY

      single entity

    - #### COLLECTION_ENTITY

          public static final RepresentationType COLLECTION_ENTITY

      collection of entities (entity set)

    - #### PRIMITIVE

          public static final RepresentationType PRIMITIVE

      single primitive-type instance

    - #### COLLECTION_PRIMITIVE

          public static final RepresentationType COLLECTION_PRIMITIVE

      collection of primitive-type instances

    - #### COMPLEX

          public static final RepresentationType COMPLEX

      single complex-type instance

    - #### COLLECTION_COMPLEX

          public static final RepresentationType COLLECTION_COMPLEX

      collection of complex-type instances

    - #### DIFFERENCES

          public static final RepresentationType DIFFERENCES

      differences

    - #### MEDIA

          public static final RepresentationType MEDIA

      media entity

    - #### BINARY

          public static final RepresentationType BINARY

      binary-type instance

    - #### REFERENCE

          public static final RepresentationType REFERENCE

      single reference

    - #### COLLECTION_REFERENCE

          public static final RepresentationType COLLECTION_REFERENCE

      collection of references

    - #### VALUE

          public static final RepresentationType VALUE

      textual raw value of a primitive-type instance (except binary)

    - #### COUNT

          public static final RepresentationType COUNT

      count of instances

    - #### ACTION_PARAMETERS

          public static final RepresentationType ACTION_PARAMETERS

      parameters of an action

  - ### Method Detail

    - #### values

          public static RepresentationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepresentationType c : RepresentationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepresentationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.